List products in a collection

Retrieves paginated list of products in a collection. Optionally includes products from child collections using the 'children' query parameter.

GET/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products

Retrieves paginated list of products in a collection. Optionally includes products from child collections using the 'children' query parameter.

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/collections/\{collection_id\}/products
  • Summary: List products in a collection
  • Description: Retrieves paginated list of products in a collection. Optionally includes products from child collections using the 'children' query parameter.
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters6 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
collection_slugpathYesstringslug for collection
childrenqueryNobooleanFlag for if products of children should be included
pagequeryNointegerPage number
per-pagequeryNointegerNumber of items per page
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses5 statuses
StatusDescriptionContent
200Got a list of all products from collectionapplication/json (object)
400Invalid request (e.g. bad UUID, validation error)application/json (object)
401Unauthorized accessapplication/json (object)
422Invalid request and not parsable by backendapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Product List

PropertyTypeRequiredDetails
dataobject[]No-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
Product
PropertyTypeRequiredDetails
attributesobject[]NoProduct attributes
brandobjectNoBrand of the product
categoriesobject[]NoAssociated categories
channel_statusesobject[]No-
collectionsobject[]NoAssociated collections
created_atstringNoCreation timestamp
customobjectNo-
descriptionstringNoDescription of the product
exclude_from_feedsbooleanNoIf the products should exist in feeds or not
filesobject[]NoProduct files
html_descriptionstringNoHtml description
html_short_descriptionstringNoHtml short description
idstringNoProduct ID
imagesobject[]NoImages of the product
market_statusobject[]No-
marketsobject[]NoAssociated markets
meta_descriptionstringNoMeta description for SEO
meta_titlestringNoMeta title for SEO
package_dimensionsobjectNoThe package dimensions
product_dimensionsobjectNoThe products dimensions
product_namestringNoVariantName of the product
product_numberstringNoProduct number
product_typestringNoProduct type
redirectsobject[]NoProduct redirects
relationsobject[]NoProduct relations
schedulesobject[]No-
short_descriptionstringNoShort description of the product
slugstringNoSlug for the product
source_app_idstringNo-
source_idstringNo-
statusstringNoStatus of the product
tagsobject[]NoProduct tags
tax_group_idstringNoThe id of the tax group
third_part_linksobject[]No-
translationsobjectNoProduct translations
updated_atstringNoLast updated timestamp
variant_groupsobject[]NoVariant groups with images, attributes, videos
variantsobject[]NoProduct variants
videosobject[]NoVideos of the product
Attribute
PropertyTypeRequiredDetails
created_atstringNo-
descriptionstringNo-
filterablebooleanNo-
idstringNo-
keystringNo-
namestringNo-
template_keystringNo-
template_namestringNo-
translatablebooleanNo-
translationsobjectNo-
updated_atstringNo-
valuesobjectNo-
Product Brand
PropertyTypeRequiredDetails
addressobjectNo-
emailstringNo-
idstringNo-
namestringNo-
seriesobjectNo-
slugstringNo-
Product Category
PropertyTypeRequiredDetails
attributesobject[]No-
childrenobject[]No-
cover_urlstringNo-
created_atstringNo-
google_product_category_idstringNo-
idstringNo-
is_main_categorybooleanNo-
namestringNo-
orderintegerNo-
parent_idstringNo-
redirectsobject[]No-
slugstringNo-
sort_orderintegerNoUsed for ordering categories themselves
statusstringNo-
translationsobjectNo-
updated_atstringNo-
uristringNo-
Product Channel Status
PropertyTypeRequiredDetails
channel_idstringNo-
channel_slugstringNo-
statusstringNo-
Product Collection
PropertyTypeRequiredDetails
childrenobject[]No-
created_atstringNo-
idstringNo-
orderintegerNo-
parent_idstringNo-
redirectsobject[]No-
slugstringYes-
statusenum("active", "inactive", "draft")Yes-
titlestringNo-
translationsobjectNo-
updated_atstringNo-
uristringNo-
File
PropertyTypeRequiredDetails
attributesobject[]No-
created_atstringNo-
folder_idstringNo-
idstringNo-
publicbooleanNo-
titlestringNo-
translationsobjectNo-
typestringNo-
updated_atstringNo-
urlstringNo-
Image With Priority
PropertyTypeRequiredDetails
altstringNo-
app_idstringNo-
attributesobject[]No-
blurhashstringNo-
copyrightstringNo-
customobjectNo-
folder_idstringNo-
idstringNo-
parent_idstringNo-
priorityintegerNo-
publicbooleanNo-
source_app_idstringNo-
source_idstringNo-
statusstringNo-
titlestringNo-
translationsobjectNo-
urlstringNo-
Market Status
PropertyTypeRequiredDetails
created_atstringNo-
market_idstringNo-
market_slugstringNo-
statusstringNo-
store_group_idstringNo-
store_group_slugstringNo-
updated_atstringNo-
Market
PropertyTypeRequiredDetails
activebooleanNo-
country_codesstring[]No-
created_atstringNo-
currency_codestringNo-
idstringNo-
localestringNo-
namestringNo-
slugstringNo-
updated_atstringNo-
Dimensions
PropertyTypeRequiredDetails
capacity_milliliterintegerNomin: 0 the capacity in milliliter
depthintegerNomin: 0 The products depth in millimeter
diameterintegerNomin: 0 the products diameter in millimeter
heightintegerNomin: 0 The products height in millimeter
lengthintegerNomin: 0 The products length in millimeter
weightintegerNomin: 0 The products weight in grams
widthintegerNomin: 0 The products width in millimeter
Redirects
PropertyTypeRequiredDetails
idstringNo-
item_idstringNo-
localestringNo-
new_slugstringNo-
old_slugstringNo-
typeenum("product", "page", "collection", "category", "product_bundle")No-
Relation
PropertyTypeRequiredDetails
directionstringNo-
idstringNo-
primary_product_idstringNo-
productsobject[]No-
titlestringNo-
typestringNo-
type_idstringNo-
Job
PropertyTypeRequiredDetails
add_category_namesstring[]No-
add_collection_namesstring[]No-
add_tag_namesstring[]No-
execute_atstringNoDate when the job should run
finished_atstringNoIf a job is finished will this timestamp be filled
idstringNo-
item_idstringNo-
item_namestringNo-
item_typestringNo-
remove_category_namesstring[]No-
remove_collection_namesstring[]No-
remove_tag_namesstring[]No-
to_amount_cents_with_taxintegerNo-
to_market_idstringNo-
to_market_statusstringNo-
to_on_salebooleanNo-
to_sale_amount_cents_with_taxintegerNo-
to_start_sale_timestampstringNo-
to_statusstringNo-
to_stop_sale_timestampstringNo-
to_store_group_idstringNo-
Product Tag
PropertyTypeRequiredDetails
attributesobject[]No-
created_atstringNo-
filterablebooleanNo-
idstringNo-
keystringNo-
marketsobject[]No-
namestringNo-
orderintegerNo-
schedulesobject[]No-
source_app_idstringNo-
source_idstringNo-
statusstringNo-
translationsobjectNo-
updated_atstringNo-
PropertyTypeRequiredDetails
created_atstringNo-
idstringNo-
titlestringNo-
typestringNo-
updated_atstringNo-
urlstringNo-
Product Translations
PropertyTypeRequiredDetails
descriptionobject[]No-
html_descriptionobject[]No-
html_short_descriptionobject[]No-
meta_descriptionobject[]No-
meta_titleobject[]No-
nameobject[]No-
short_descriptionobject[]No-
slugobject[]No-
Variant Group
PropertyTypeRequiredDetails
attributesobject[]No-
channel_statusesobject[]No-
created_atstringNo-
idstringNo-
imagesobject[]No-
namestringNo-
priorityintegerNo-
product_idstringNo-
slugstringNo-
tagsobject[]No-
translationsobjectNo-
updated_atstringNo-
variantsobject[]No-
videosobject[]No-
Variant
PropertyTypeRequiredDetails
attributesobject[]No-
created_atstringNo-
custom_fieldsobjectNo-
idstringNo-
imagesobject[]NoImages of the product
listingsobjectNo-
parent_product_idstringNo-
purchase_priceobjectNo-
shipping_attributesstring[]No-
source_app_idstringNo-
source_idstringNo-
statusstringNo-
store_groupobject[]NoProduct StoreGroup
tagsobject[]No-
translationsobjectNo-
updated_atstringNo-
validate_stockbooleanNo-
variant_dimensionsobjectNo-
variant_group_idstringNo-
variant_namestringNo-
variant_numberstringNo-
videosobject[]NoVideos of the product
warehouse_variant_stockobject[]No-
Video
PropertyTypeRequiredDetails
attributesobject[]No-
descriptionstringNo-
folder_idstringNo-
idstringNo-
pathstringNo-
publicbooleanNo-
statusstringNo-
titlestringNo-
translationsobjectNo-
variantsobject[]No-
{
  "data": [
    {
      "attributes": [
        {
          "created_at": null,
          "description": null,
          "filterable": null,
          "id": null,
          "key": null,
          "name": null,
          "template_key": null,
          "template_name": null,
          "translatable": null,
          "translations": null,
          "updated_at": null,
          "values": null
        }
      ],
      "brand": {
        "address": {
          "city": null,
          "co_address": null,
          "country": null,
          "house_number": null,
          "postal_code": null,
          "state_province": null,
          "street_address": null
        },
        "email": "string",
        "id": "string",
        "name": "string",
        "series": {
          "id": null,
          "name": null,
          "slug": null
        },
        "slug": "string"
      },
      "categories": [
        {
          "attributes": null,
          "children": null,
          "cover_url": null,
          "created_at": null,
          "google_product_category_id": null,
          "id": null,
          "is_main_category": null,
          "name": null,
          "order": null,
          "parent_id": null,
          "redirects": null,
          "slug": null,
          "sort_order": null,
          "status": null,
          "translations": null,
          "updated_at": null,
          "uri": null
        }
      ],
      "channel_statuses": [
        {
          "channel_id": null,
          "channel_slug": null,
          "status": null
        }
      ],
      "collections": [
        {
          "children": null,
          "created_at": null,
          "id": null,
          "order": null,
          "parent_id": null,
          "redirects": null,
          "slug": null,
          "status": null,
          "title": null,
          "translations": null,
          "updated_at": null,
          "uri": null
        }
      ],
      "created_at": "string",
      "custom": {},
      "description": "string",
      "exclude_from_feeds": false,
      "files": [
        {
          "attributes": null,
          "created_at": null,
          "folder_id": null,
          "id": null,
          "public": null,
          "title": null,
          "translations": null,
          "type": null,
          "updated_at": null,
          "url": null
        }
      ],
      "html_description": "string",
      "html_short_description": "string",
      "id": "string",
      "images": [
        {
          "alt": null,
          "app_id": null,
          "attributes": null,
          "blurhash": null,
          "copyright": null,
          "custom": null,
          "folder_id": null,
          "id": null,
          "parent_id": null,
          "priority": null,
          "public": null,
          "source_app_id": null,
          "source_id": null,
          "status": null,
          "title": null,
          "translations": null,
          "url": null
        }
      ],
      "market_status": [
        {
          "created_at": null,
          "market_id": null,
          "market_slug": null,
          "status": null,
          "store_group_id": null,
          "store_group_slug": null,
          "updated_at": null
        }
      ],
      "markets": [
        {
          "active": null,
          "country_codes": null,
          "created_at": null,
          "currency_code": null,
          "id": null,
          "locale": null,
          "name": null,
          "slug": null,
          "updated_at": null
        }
      ],
      "meta_description": "string",
      "meta_title": "string",
      "package_dimensions": {
        "capacity_milliliter": 0,
        "depth": 0,
        "diameter": 0,
        "height": 0,
        "length": 0,
        "weight": 0,
        "width": 0
      },
      "product_dimensions": {
        "capacity_milliliter": 0,
        "depth": 0,
        "diameter": 0,
        "height": 0,
        "length": 0,
        "weight": 0,
        "width": 0
      },
      "product_name": "string",
      "product_number": "string",
      "product_type": "string",
      "redirects": [
        {
          "id": null,
          "item_id": null,
          "locale": null,
          "new_slug": null,
          "old_slug": null,
          "type": null
        }
      ],
      "relations": [
        {
          "direction": null,
          "id": null,
          "primary_product_id": null,
          "products": null,
          "title": null,
          "type": null,
          "type_id": null
        }
      ],
      "schedules": [
        {
          "add_category_names": null,
          "add_collection_names": null,
          "add_tag_names": null,
          "execute_at": null,
          "finished_at": null,
          "id": null,
          "item_id": null,
          "item_name": null,
          "item_type": null,
          "remove_category_names": null,
          "remove_collection_names": null,
          "remove_tag_names": null,
          "to_amount_cents_with_tax": null,
          "to_market_id": null,
          "to_market_status": null,
          "to_on_sale": null,
          "to_sale_amount_cents_with_tax": null,
          "to_start_sale_timestamp": null,
          "to_status": null,
          "to_stop_sale_timestamp": null,
          "to_store_group_id": null
        }
      ],
      "short_description": "string",
      "slug": "string",
      "source_app_id": "string",
      "source_id": "string",
      "status": "string",
      "tags": [
        {
          "attributes": null,
          "created_at": null,
          "filterable": null,
          "id": null,
          "key": null,
          "markets": null,
          "name": null,
          "order": null,
          "schedules": null,
          "source_app_id": null,
          "source_id": null,
          "status": null,
          "translations": null,
          "updated_at": null
        }
      ],
      "tax_group_id": "string",
      "third_part_links": [
        {
          "created_at": null,
          "id": null,
          "title": null,
          "type": null,
          "updated_at": null,
          "url": null
        }
      ],
      "translations": {
        "description": [],
        "html_description": [],
        "html_short_description": [],
        "meta_description": [],
        "meta_title": [],
        "name": [],
        "short_description": [],
        "slug": []
      },
      "updated_at": "string",
      "variant_groups": [
        {
          "attributes": null,
          "channel_statuses": null,
          "created_at": null,
          "id": null,
          "images": null,
          "name": null,
          "priority": null,
          "product_id": null,
          "slug": null,
          "tags": null,
          "translations": null,
          "updated_at": null,
          "variants": null,
          "videos": null
        }
      ],
      "variants": [
        {
          "attributes": null,
          "created_at": null,
          "custom_fields": null,
          "id": null,
          "images": null,
          "listings": null,
          "parent_product_id": null,
          "purchase_price": null,
          "shipping_attributes": null,
          "source_app_id": null,
          "source_id": null,
          "status": null,
          "store_group": null,
          "tags": null,
          "translations": null,
          "updated_at": null,
          "validate_stock": null,
          "variant_dimensions": null,
          "variant_group_id": null,
          "variant_name": null,
          "variant_number": null,
          "videos": null,
          "warehouse_variant_stock": null
        }
      ],
      "videos": [
        {
          "attributes": null,
          "description": null,
          "folder_id": null,
          "id": null,
          "path": null,
          "public": null,
          "status": null,
          "title": null,
          "translations": null,
          "variants": null
        }
      ]
    }
  ],
  "success": false,
  "total": 0,
  "total_pages": 0
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

422 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/collections/\{collection_id\}/products
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Collections
  • OpenAPI summary: List products in a collection

List products in a collection

# List products in a collection Retrieves paginated list of products in a collection. Optionally includes products from child collections using the 'children' query parameter.
GET /api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products
Purpose

Retrieves paginated list of products in a collection.

Required inputs

app_slug path team_slug path collection_slug path

Primary response

200 ยท Got a list of all products from collection

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products` - Summary: List products in a collection - Description: Retrieves paginated list of products in a collection. Optionally includes products from child collections using the 'children' query parameter. - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | | collection_slug | path | Yes | string | slug for collection | | children | query | No | boolean | Flag for if products of children should be included | | page | query | No | integer | Page number | | per-page | query | No | integer | Number of items per page | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Got a list of all products from collection | application/json (object) | | 400 | Invalid request (e.g. bad UUID, validation error) | application/json (object) | | 401 | Unauthorized access | application/json (object) | | 422 | Invalid request and not parsable by backend | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Product List | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | No | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Product | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | Product attributes | | `brand` | object | No | Brand of the product | | `categories` | object[] | No | Associated categories | | `channel_statuses` | object[] | No | - | | `collections` | object[] | No | Associated collections | | `created_at` | string | No | Creation timestamp | | `custom` | object | No | - | | `description` | string | No | Description of the product | | `exclude_from_feeds` | boolean | No | If the products should exist in feeds or not | | `files` | object[] | No | Product files | | `html_description` | string | No | Html description | | `html_short_description` | string | No | Html short description | | `id` | string | No | Product ID | | `images` | object[] | No | Images of the product | | `market_status` | object[] | No | - | | `markets` | object[] | No | Associated markets | | `meta_description` | string | No | Meta description for SEO | | `meta_title` | string | No | Meta title for SEO | | `package_dimensions` | object | No | The package dimensions | | `product_dimensions` | object | No | The products dimensions | | `product_name` | string | No | VariantName of the product | | `product_number` | string | No | Product number | | `product_type` | string | No | Product type | | `redirects` | object[] | No | Product redirects | | `relations` | object[] | No | Product relations | | `schedules` | object[] | No | - | | `short_description` | string | No | Short description of the product | | `slug` | string | No | Slug for the product | | `source_app_id` | string | No | - | | `source_id` | string | No | - | | `status` | string | No | Status of the product | | `tags` | object[] | No | Product tags | | `tax_group_id` | string | No | The id of the tax group | | `third_part_links` | object[] | No | - | | `translations` | object | No | Product translations | | `updated_at` | string | No | Last updated timestamp | | `variant_groups` | object[] | No | Variant groups with images, attributes, videos | | `variants` | object[] | No | Product variants | | `videos` | object[] | No | Videos of the product | ##### Attribute | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `description` | string | No | - | | `filterable` | boolean | No | - | | `id` | string | No | - | | `key` | string | No | - | | `name` | string | No | - | | `template_key` | string | No | - | | `template_name` | string | No | - | | `translatable` | boolean | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `values` | object | No | - | ##### Product Brand | Property | Type | Required | Details | | --- | --- | --- | --- | | `address` | object | No | - | | `email` | string | No | - | | `id` | string | No | - | | `name` | string | No | - | | `series` | object | No | - | | `slug` | string | No | - | ##### Product Category | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `children` | object[] | No | - | | `cover_url` | string | No | - | | `created_at` | string | No | - | | `google_product_category_id` | string | No | - | | `id` | string | No | - | | `is_main_category` | boolean | No | - | | `name` | string | No | - | | `order` | integer | No | - | | `parent_id` | string | No | - | | `redirects` | object[] | No | - | | `slug` | string | No | - | | `sort_order` | integer | No | Used for ordering categories themselves | | `status` | string | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `uri` | string | No | - | ##### Product Channel Status | Property | Type | Required | Details | | --- | --- | --- | --- | | `channel_id` | string | No | - | | `channel_slug` | string | No | - | | `status` | string | No | - | ##### Product Collection | Property | Type | Required | Details | | --- | --- | --- | --- | | `children` | object[] | No | - | | `created_at` | string | No | - | | `id` | string | No | - | | `order` | integer | No | - | | `parent_id` | string | No | - | | `redirects` | object[] | No | - | | `slug` | string | Yes | - | | `status` | enum("active", "inactive", "draft") | Yes | - | | `title` | string | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `uri` | string | No | - | ##### File | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `created_at` | string | No | - | | `folder_id` | string | No | - | | `id` | string | No | - | | `public` | boolean | No | - | | `title` | string | No | - | | `translations` | object | No | - | | `type` | string | No | - | | `updated_at` | string | No | - | | `url` | string | No | - | ##### Image With Priority | Property | Type | Required | Details | | --- | --- | --- | --- | | `alt` | string | No | - | | `app_id` | string | No | - | | `attributes` | object[] | No | - | | `blurhash` | string | No | - | | `copyright` | string | No | - | | `custom` | object | No | - | | `folder_id` | string | No | - | | `id` | string | No | - | | `parent_id` | string | No | - | | `priority` | integer | No | - | | `public` | boolean | No | - | | `source_app_id` | string | No | - | | `source_id` | string | No | - | | `status` | string | No | - | | `title` | string | No | - | | `translations` | object | No | - | | `url` | string | No | - | ##### Market Status | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `market_id` | string | No | - | | `market_slug` | string | No | - | | `status` | string | No | - | | `store_group_id` | string | No | - | | `store_group_slug` | string | No | - | | `updated_at` | string | No | - | ##### Market | Property | Type | Required | Details | | --- | --- | --- | --- | | `active` | boolean | No | - | | `country_codes` | string[] | No | - | | `created_at` | string | No | - | | `currency_code` | string | No | - | | `id` | string | No | - | | `locale` | string | No | - | | `name` | string | No | - | | `slug` | string | No | - | | `updated_at` | string | No | - | ##### Dimensions | Property | Type | Required | Details | | --- | --- | --- | --- | | `capacity_milliliter` | integer | No | min: 0 the capacity in milliliter | | `depth` | integer | No | min: 0 The products depth in millimeter | | `diameter` | integer | No | min: 0 the products diameter in millimeter | | `height` | integer | No | min: 0 The products height in millimeter | | `length` | integer | No | min: 0 The products length in millimeter | | `weight` | integer | No | min: 0 The products weight in grams | | `width` | integer | No | min: 0 The products width in millimeter | ##### Redirects | Property | Type | Required | Details | | --- | --- | --- | --- | | `id` | string | No | - | | `item_id` | string | No | - | | `locale` | string | No | - | | `new_slug` | string | No | - | | `old_slug` | string | No | - | | `type` | enum("product", "page", "collection", "category", "product_bundle") | No | - | ##### Relation | Property | Type | Required | Details | | --- | --- | --- | --- | | `direction` | string | No | - | | `id` | string | No | - | | `primary_product_id` | string | No | - | | `products` | object[] | No | - | | `title` | string | No | - | | `type` | string | No | - | | `type_id` | string | No | - | ##### Job | Property | Type | Required | Details | | --- | --- | --- | --- | | `add_category_names` | string[] | No | - | | `add_collection_names` | string[] | No | - | | `add_tag_names` | string[] | No | - | | `execute_at` | string | No | Date when the job should run | | `finished_at` | string | No | If a job is finished will this timestamp be filled | | `id` | string | No | - | | `item_id` | string | No | - | | `item_name` | string | No | - | | `item_type` | string | No | - | | `remove_category_names` | string[] | No | - | | `remove_collection_names` | string[] | No | - | | `remove_tag_names` | string[] | No | - | | `to_amount_cents_with_tax` | integer | No | - | | `to_market_id` | string | No | - | | `to_market_status` | string | No | - | | `to_on_sale` | boolean | No | - | | `to_sale_amount_cents_with_tax` | integer | No | - | | `to_start_sale_timestamp` | string | No | - | | `to_status` | string | No | - | | `to_stop_sale_timestamp` | string | No | - | | `to_store_group_id` | string | No | - | ##### Product Tag | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `created_at` | string | No | - | | `filterable` | boolean | No | - | | `id` | string | No | - | | `key` | string | No | - | | `markets` | object[] | No | - | | `name` | string | No | - | | `order` | integer | No | - | | `schedules` | object[] | No | - | | `source_app_id` | string | No | - | | `source_id` | string | No | - | | `status` | string | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | ##### Third Party Link | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `id` | string | No | - | | `title` | string | No | - | | `type` | string | No | - | | `updated_at` | string | No | - | | `url` | string | No | - | ##### Product Translations | Property | Type | Required | Details | | --- | --- | --- | --- | | `description` | object[] | No | - | | `html_description` | object[] | No | - | | `html_short_description` | object[] | No | - | | `meta_description` | object[] | No | - | | `meta_title` | object[] | No | - | | `name` | object[] | No | - | | `short_description` | object[] | No | - | | `slug` | object[] | No | - | ##### Variant Group | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `channel_statuses` | object[] | No | - | | `created_at` | string | No | - | | `id` | string | No | - | | `images` | object[] | No | - | | `name` | string | No | - | | `priority` | integer | No | - | | `product_id` | string | No | - | | `slug` | string | No | - | | `tags` | object[] | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `variants` | object[] | No | - | | `videos` | object[] | No | - | ##### Variant | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `created_at` | string | No | - | | `custom_fields` | object | No | - | | `id` | string | No | - | | `images` | object[] | No | Images of the product | | `listings` | object | No | - | | `parent_product_id` | string | No | - | | `purchase_price` | object | No | - | | `shipping_attributes` | string[] | No | - | | `source_app_id` | string | No | - | | `source_id` | string | No | - | | `status` | string | No | - | | `store_group` | object[] | No | Product StoreGroup | | `tags` | object[] | No | - | | `translations` | object | No | - | | `updated_at` | string | No | - | | `validate_stock` | boolean | No | - | | `variant_dimensions` | object | No | - | | `variant_group_id` | string | No | - | | `variant_name` | string | No | - | | `variant_number` | string | No | - | | `videos` | object[] | No | Videos of the product | | `warehouse_variant_stock` | object[] | No | - | ##### Video | Property | Type | Required | Details | | --- | --- | --- | --- | | `attributes` | object[] | No | - | | `description` | string | No | - | | `folder_id` | string | No | - | | `id` | string | No | - | | `path` | string | No | - | | `public` | boolean | No | - | | `status` | string | No | - | | `title` | string | No | - | | `translations` | object | No | - | | `variants` | object[] | No | - |
Generated example (synthetic) ```json { "data": [ { "attributes": [ { "created_at": null, "description": null, "filterable": null, "id": null, "key": null, "name": null, "template_key": null, "template_name": null, "translatable": null, "translations": null, "updated_at": null, "values": null } ], "brand": { "address": { "city": null, "co_address": null, "country": null, "house_number": null, "postal_code": null, "state_province": null, "street_address": null }, "email": "string", "id": "string", "name": "string", "series": { "id": null, "name": null, "slug": null }, "slug": "string" }, "categories": [ { "attributes": null, "children": null, "cover_url": null, "created_at": null, "google_product_category_id": null, "id": null, "is_main_category": null, "name": null, "order": null, "parent_id": null, "redirects": null, "slug": null, "sort_order": null, "status": null, "translations": null, "updated_at": null, "uri": null } ], "channel_statuses": [ { "channel_id": null, "channel_slug": null, "status": null } ], "collections": [ { "children": null, "created_at": null, "id": null, "order": null, "parent_id": null, "redirects": null, "slug": null, "status": null, "title": null, "translations": null, "updated_at": null, "uri": null } ], "created_at": "string", "custom": {}, "description": "string", "exclude_from_feeds": false, "files": [ { "attributes": null, "created_at": null, "folder_id": null, "id": null, "public": null, "title": null, "translations": null, "type": null, "updated_at": null, "url": null } ], "html_description": "string", "html_short_description": "string", "id": "string", "images": [ { "alt": null, "app_id": null, "attributes": null, "blurhash": null, "copyright": null, "custom": null, "folder_id": null, "id": null, "parent_id": null, "priority": null, "public": null, "source_app_id": null, "source_id": null, "status": null, "title": null, "translations": null, "url": null } ], "market_status": [ { "created_at": null, "market_id": null, "market_slug": null, "status": null, "store_group_id": null, "store_group_slug": null, "updated_at": null } ], "markets": [ { "active": null, "country_codes": null, "created_at": null, "currency_code": null, "id": null, "locale": null, "name": null, "slug": null, "updated_at": null } ], "meta_description": "string", "meta_title": "string", "package_dimensions": { "capacity_milliliter": 0, "depth": 0, "diameter": 0, "height": 0, "length": 0, "weight": 0, "width": 0 }, "product_dimensions": { "capacity_milliliter": 0, "depth": 0, "diameter": 0, "height": 0, "length": 0, "weight": 0, "width": 0 }, "product_name": "string", "product_number": "string", "product_type": "string", "redirects": [ { "id": null, "item_id": null, "locale": null, "new_slug": null, "old_slug": null, "type": null } ], "relations": [ { "direction": null, "id": null, "primary_product_id": null, "products": null, "title": null, "type": null, "type_id": null } ], "schedules": [ { "add_category_names": null, "add_collection_names": null, "add_tag_names": null, "execute_at": null, "finished_at": null, "id": null, "item_id": null, "item_name": null, "item_type": null, "remove_category_names": null, "remove_collection_names": null, "remove_tag_names": null, "to_amount_cents_with_tax": null, "to_market_id": null, "to_market_status": null, "to_on_sale": null, "to_sale_amount_cents_with_tax": null, "to_start_sale_timestamp": null, "to_status": null, "to_stop_sale_timestamp": null, "to_store_group_id": null } ], "short_description": "string", "slug": "string", "source_app_id": "string", "source_id": "string", "status": "string", "tags": [ { "attributes": null, "created_at": null, "filterable": null, "id": null, "key": null, "markets": null, "name": null, "order": null, "schedules": null, "source_app_id": null, "source_id": null, "status": null, "translations": null, "updated_at": null } ], "tax_group_id": "string", "third_part_links": [ { "created_at": null, "id": null, "title": null, "type": null, "updated_at": null, "url": null } ], "translations": { "description": [], "html_description": [], "html_short_description": [], "meta_description": [], "meta_title": [], "name": [], "short_description": [], "slug": [] }, "updated_at": "string", "variant_groups": [ { "attributes": null, "channel_statuses": null, "created_at": null, "id": null, "images": null, "name": null, "priority": null, "product_id": null, "slug": null, "tags": null, "translations": null, "updated_at": null, "variants": null, "videos": null } ], "variants": [ { "attributes": null, "created_at": null, "custom_fields": null, "id": null, "images": null, "listings": null, "parent_product_id": null, "purchase_price": null, "shipping_attributes": null, "source_app_id": null, "source_id": null, "status": null, "store_group": null, "tags": null, "translations": null, "updated_at": null, "validate_stock": null, "variant_dimensions": null, "variant_group_id": null, "variant_name": null, "variant_number": null, "videos": null, "warehouse_variant_stock": null } ], "videos": [ { "attributes": null, "description": null, "folder_id": null, "id": null, "path": null, "public": null, "status": null, "title": null, "translations": null, "variants": null } ] } ], "success": false, "total": 0, "total_pages": 0 } ```
### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 422 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products` - OpenAPI tag: Collections - OpenAPI summary: List products in a collection